import 'dart:async';

import 'package:codenic_alarm/src/codenic_alarm.dart';
import 'package:codenic_alarm/src/models/alarm_info.dart';

class CodenicAlarmUnsupportedPlatform extends CodenicAlarm {
  @override
  FutureOr<AlarmInfo?> activeAlarm() => null;

  @override
  FutureOr<void> cancel({required int id}) => null;

  @override
  FutureOr<void> cancelAll() => null;

  @override
  FutureOr<void> dismissAlarm() => null;

  @override
  FutureOr<bool> initialize() => false;

  @override
  FutureOr<bool> schedule({
    required Duration delay,
    required AlarmInfo alarmInfo,
  }) =>
      false;

  @override
  FutureOr<bool> scheduleAt({
    required DateTime schedule,
    required AlarmInfo alarmInfo,
  }) =>
      false;
}
